<?php
/********************************************************************************
 * Fineditor - WYSIWYG editor 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop003/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2018/11/27
 * Updated			: 2018/12/04
 ********************************************************************************/
	// 不正アクセスチェック
	require_once 'wysiwyg_access_check.php';
	$index = $_GET["index"];
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>Google Mapの情報採取とpost</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="../jQuery/jquery-3.2.1.min.js"></script>
<script>
jQuery(function(){
	var map_margin_left_value	= window.opener.$(".editable_map:eq(<?php echo $index;?>)").find(".map_margin_left").text();
	var map_width_value			= window.opener.$(".editable_map:eq(<?php echo $index;?>)").find(".map_width").text();
	var map_height_value		= window.opener.$(".editable_map:eq(<?php echo $index;?>)").find(".map_height").text();
	var jusyo_value				= window.opener.$(".editable_map:eq(<?php echo $index;?>)").find(".jusyo").text();
	var zoom_level_value		= window.opener.$(".editable_map:eq(<?php echo $index;?>)").find(".zoom_level").text();
	var marker_title_value		= window.opener.$(".editable_map:eq(<?php echo $index;?>)").find(".marker_title").text();
	var marker_contents_value	= window.opener.$(".editable_map:eq(<?php echo $index;?>)").find(".marker_contents").html();
	var gmap_id_value			= window.opener.$(".editable_map:eq(<?php echo $index;?>)").find(".gmap_id").html();
	
	var form = document.createElement("form");
	form.setAttribute("action", "wysiwyg_map_input.php?proc=upd&call_level=<?php echo $_GET["call_level"];?>&index=<?php echo $index;?>&gmap_id="+gmap_id_value);
	form.setAttribute("method", "post");
	form.style.display = "none";
	document.body.appendChild(form);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "map_margin_left");
	input.setAttribute('value', map_margin_left_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "map_width");
	input.setAttribute('value', map_width_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "map_height");
	input.setAttribute('value', map_height_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "jusyo");
	input.setAttribute('value', jusyo_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "zoom_level");
	input.setAttribute('value', zoom_level_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "marker_title");
	input.setAttribute('value', marker_title_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "marker_contents");
	input.setAttribute('value', marker_contents_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "gmap_id");
	input.setAttribute('value', gmap_id_value);
	form.appendChild(input);

	form.submit();
	
});
</script>
</head>
<body>
</body>
</html>
