<?php
/********************************************************************************
 * Fineditor - WYSIWYG editor 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop003/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2018/11/27
 * Updated			: 2018/12/04
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	include 'src/function_cms.php';
	$conn = init_sqlite();
	// 送信先、お問い合わせタイトル、詳細のセット
	//お問い合わせ入力内容送信先メールアドレス
	$sql = 'SELECT * FROM user_info';
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$mail_addr		= $row["dest_e_mail"];
	}else{
		$mail_addr		= NULL;
	}
	$send_title = '【ファインエディター】ホームページからのお問い合わせ';		// メールタイトル

	// 日本語（SJIS）の指定
	mb_language('ja');
	mb_internal_encoding('UTF-8');

	// Fromアドレスの設定（自動送信 送信元のアドレス）
	$name = '自動送信';
	$email = 'auto';
	$send_header = 'From: '.mb_encode_mimeheader($name).'<'.$email.'>';

	// メール本文の編集
	$cnt = 0;
	$honbun = NULL;
	if (isset($_POST['item_name'])) 			$honbun = $honbun."■".$_POST["item_name"]."\n\n".$_POST["onamae"]." \n\n";
	if (isset($_POST['item_name_kana'])) 		$honbun = $honbun."■".$_POST["item_name_kana"]."\n\n".$_POST["onamae_kana"]." \n\n";
	if (isset($_POST['item_yubin_no'])) 		$honbun = $honbun."■".$_POST["item_yubin_no"]."\n\n".$_POST["yubin_no"]." \n\n";
	if (isset($_POST['item_todofuken'])) 		$honbun = $honbun."■".$_POST["item_todofuken"]."\n\n".$_POST["todofuken"]." \n\n";
	if (isset($_POST['item_city'])) 			$honbun = $honbun."■".$_POST["item_city"]."\n\n".$_POST["city"]." \n\n";
	if (isset($_POST['item_jusyo1'])) 			$honbun = $honbun."■".$_POST["item_jusyo1"]."\n\n".$_POST["jusyo1"]." \n\n";
	if (isset($_POST['item_jusyo2'])) 			$honbun = $honbun."■".$_POST["item_jusyo2"]."\n\n".$_POST["jusyo2"]." \n\n";
	if (isset($_POST['item_tatemono'])) 		$honbun = $honbun."■".$_POST["item_tatemono"]."\n\n".$_POST["tatemono"]." \n\n";
	if (isset($_POST['item_e_mail'])) 			$honbun = $honbun."■".$_POST["item_e_mail"]."\n\n".$_POST["e_mail"]." \n\n";
	if (isset($_POST['item_url'])) 				$honbun = $honbun."■".$_POST["item_url"]."\n\n".$_POST["url"]." \n\n";
	if (isset($_POST['item_tel_no'])) 			$honbun = $honbun."■".$_POST["item_tel_no"]."\n\n".$_POST["tel_no"]." \n\n";
	if (isset($_POST['item_keitai_no'])) 		$honbun = $honbun."■".$_POST["item_keitai_no"]."\n\n".$_POST["keitai_no"]." \n\n";
	if (isset($_POST['item_fax_no'])) 			$honbun = $honbun."■".$_POST["item_fax_no"]."\n\n".$_POST["fax_no"]." \n\n";
	if (isset($_POST['item_toiawase_naiyo'])) 	$honbun = $honbun."■".$_POST["item_toiawase_naiyo"]."\n\n".$_POST["toiawase_naiyo"]." \n\n";
	if (isset($_POST['item_else'])) 			$honbun = $honbun."■".$_POST["item_else"]."\n\n".$_POST["else"]." \n\n";
	// 荒らし対策として接続元情報を採取する。
	//REMOTE_HOSTがなければgethostbyaddrで取得
	if (!isset($_SERVER['REMOTE_HOST']) || $_SERVER['REMOTE_HOST'] == '') {
		$_SERVER['REMOTE_HOST'] = gethostbyaddr($_SERVER['REMOTE_ADDR']);
	}
	$honbun = $honbun."\n========【接続元情報】==============================================================================\n";
	$honbun = $honbun."このお問い合わせが送信された機器（ＰＣ、スマフォ等）の情報です。\n";
	$honbun = $honbun."脅迫等があった場合に捜査機関に提供することを想定しております。\n\n";
	$honbun = $honbun."IPアドレス:".$_SERVER['REMOTE_ADDR']."\n";
	$honbun = $honbun."ホスト名:".$_SERVER['REMOTE_HOST']."\n";
	$honbun = $honbun."ポート番号:".$_SERVER['REMOTE_PORT']."\n";
	$honbun = $honbun."ユーザーエージェント:".$_SERVER['HTTP_USER_AGENT']."\n";
	$honbun = $honbun."参照ページアドレス:".$_SERVER['HTTP_REFERER']."\n";
	$honbun = $honbun."言語:".$_SERVER['HTTP_ACCEPT_LANGUAGE']."\n";
	$honbun = $honbun."コネクションヘッダ:".$_SERVER['HTTP_CONNECTION']."\n";
	$honbun = $honbun."=======================================================================================================\n";
	
//ページの表示
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>Fineditor</title>
<meta name="description" content="wysiwygeditor｜送信完了">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
</head>
<body>
<div class="page_title">送信完了</div>
<br class="clear_both">
<?php
$result = mb_send_mail($mail_addr, $send_title, $honbun, $send_header);
if ($result) {
	echo '<span class="mormalmsg">お問合せ内容を送信しました。</span><br>';
} else {
	// メール送信の失敗
	echo '<span class="errmsg">送信に失敗しました！<br>しばらくしてからお問合せください。</span><br>';
}
?>
<br class="clear_both">
</body>
</html>


